Subject: Re: bug#51304: guix upgrade fails on qutebrowser

From: Rostislav Svoboda <[email-masked]>
Date: Wed, 20 Oct 2021 16:06:21 +0200

Ha, you're right:

[Wed Oct 20 12:46:30 2021] Out of memory: Killed process 31394 (cc1plus)
total-vm:1523016kB, anon-rss:1436000kB, file-rss:0kB, shmem-rss:0kB,
UID:999 pgtables:2908kB oom_score_adj:0
[Wed Oct 20 12:47:09 2021] Out of memory: Killed process 31401 (cc1plus)
total-vm:1673940kB, anon-rss:1600700kB, file-rss:0kB, shmem-rss:0kB,
UID:999 pgtables:3240kB oom_score_adj:0
[Wed Oct 20 12:47:27 2021] Out of memory: Killed process 31413 (cc1plus)
total-vm:1803984kB, anon-rss:1700556kB, file-rss:0kB, shmem-rss:0kB,
UID:999 pgtables:3448kB oom_score_adj:0

which, in turn, surprises me, since I have 32GB of RAM. (And I thought
already I bought too much, ugh :)
BTW jpoiret advised me to use swap [1]. IMO swap should be present in the
default OS configuration, since recompilation happens by default, like 2 or
3 times out of 5 times I do `guix upgrade`.
Anyway thanks for the bug analysis.

Kind regards

Bost

[1] https://logs.guix.gnu.org/guix/2021-10-20.log#133303

Le mer. 20 oct. 2021 à 15:48, Tobias Geerinckx-Rice <[email-masked]> a écrit :

> Rostislav,
>
> Rostislav Svoboda 写道：
> > Ehm, sorry. The file is attached.
>
> Thanks!  Hm.  I might've oversold things with ‘useful’ in my
> previous message…
>
> The log just ends, without an error message as far as I can tell.
> I can only guess: maybe you ran out of memory?  Does dmesg (or
> /var/log/messages, if you've since rebooted) contain any matches
> for "Out of memory"?
>
> One unsatisfying work-around for that is to build with
> --{max-jobs,cores}=1 to limit the number of build & make jobs if
> you were previously building in parallel.  It will make the build
> take even longer, though…
>
> Sorry,
>
> T G-R
>